# GESMultiFileSource

Outputs the video stream from a given image sequence. The start frame chosen will be determined by the in-point property on the track element.

This should not be used anymore, the `imagesequence://` protocol should be used instead. Check the imagesequencesrc GStreamer element for more information.

## GESMultiFileSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESSource
                        ╰──GESVideoSource
                            ╰──GESMultiFileSource

### Class structure

#### GESMultiFileSourceClass

##### Fields

`parent_class` (GESVideoSourceClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.MultiFileSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.MultiFileSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.MultiFileSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.MultiFileSource

## GES.MultiFileSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.MultiFileSource

### Constructors

#### ges_multi_file_source_new

    GESMultiFileSource *
    ges_multi_file_source_new (gchar * uri)

Parameters:

`uri` –
No description available
Returns –
No description available

#### GES.MultiFileSource.prototype.new

    function GES.MultiFileSource.prototype.new(uri: String): {
        // javascript wrapper for 'ges_multi_file_source_new'
    }

Parameters:

`uri` (String) –
No description available
Returns (GES.MultiFileSource) –
No description available

#### GES.MultiFileSource.new

    def GES.MultiFileSource.new (uri):
        #python wrapper for 'ges_multi_file_source_new'

Parameters:

`uri` (str) –
No description available
Returns (GES.MultiFileSource) –
No description available

### Properties

#### uri

    “uri” gchar *

The uri of the file/resource to use. You can set a start index, a stop index and a sequence pattern. The format is multifile://start:stop\@location-pattern. The pattern uses printf string formating.

Example uris:

multifile:///home/you/image%03d.jpg

multifile://20:50@/home/you/sequence/%04d.png

Flags : Read / Write / Construct Only

#### uri

    “uri” String

The uri of the file/resource to use. You can set a start index, a stop index and a sequence pattern. The format is multifile://start:stop\@location-pattern. The pattern uses printf string formating.

Example uris:

multifile:///home/you/image%03d.jpg

multifile://20:50@/home/you/sequence/%04d.png

Flags : Read / Write / Construct Only

#### uri

    “self.props.uri” str

The uri of the file/resource to use. You can set a start index, a stop index and a sequence pattern. The format is multifile://start:stop\@location-pattern. The pattern uses printf string formating.

Example uris:

multifile:///home/you/image%03d.jpg

multifile://20:50@/home/you/sequence/%04d.png

Flags : Read / Write / Construct Only

## Constants

### GES_MULTI_FILE_URI_PREFIX

    #define GES_MULTI_FILE_URI_PREFIX "multifile://"

### GES.MULTI_FILE_URI_PREFIX

### GES_TYPE_MULTI_FILE_SOURCE

    #define GES_TYPE_MULTI_FILE_SOURCE ges_multi_file_source_get_type()

The results of the search are